WP1SpacingResetGroup Class Reference

`#include <WP1SpacingResetGroup.h>`

Inheritance diagram for WP1SpacingResetGroup:

## Public Member Functions

| WP1SpacingResetGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1SpacingResetGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1FixedLengthGroup
| WP1FixedLengthGroup (unsigned char group)
| ~WP1FixedLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Attributes

unsigned char | m_spacing

## Additional Inherited Members

Static Public Member Functions inherited from WP1FixedLengthGroup
static WP1FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## WP1SpacingResetGroup()

WP1SpacingResetGroup::WP1SpacingResetGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

## ~WP1SpacingResetGroup()

WP1SpacingResetGroup::~WP1SpacingResetGroup | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP1SpacingResetGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Reimplemented from WP1FixedLengthGroup.

## parse()

void WP1SpacingResetGroup::parse | ( | WP1Listener * | listener | ) |

override virtual

Implements WP1Part.

## Member Data Documentation

## m_spacing

unsigned char WP1SpacingResetGroup::m_spacing

private

Referenced by _readContents(), parse(), and WP1SpacingResetGroup().

The documentation for this class was generated from the following files:

- WP1SpacingResetGroup.h
- WP1SpacingResetGroup.cpp